| Home | Libraries | People | FAQ | More

##### static_results::affected_rows

Returns the number of rows affected by the executed SQL statement.

###### Synopsis

    template<
        std::size_t I = 0>
    std::uint64_t
    affected_rows() const noexcept;

###### Description

Note that this is NOT the number of matched rows. If a row is matched but not affected, it won't be accounted for here.

###### Template Parameters

Type | Description
--- | ---
`I` | Resultset index. For operations returning more than one resultset, you can explicitly specify this parameter to obtain the number of affected rows by the i-th resultset. If left unspecified, the number of affected rows by the first resultset is returned.

###### Preconditions

`this->has_value() == true`

###### Exception safety

No-throw guarantee.

###### Complexity

Constant.